.wrapper {
    font-family: inherit;
    font-size: inherit;
    display: flex;
    flex-direction: column;
    position: relative;
    color: $color-input-placeholder;

    .placeholder {
        $width: $space * 7;
        $padding: 0.08rem;
        $height: calc($width / 2 + $padding);

        cursor: pointer;
        //border: 1px solid $grey-300;
        background-color: $grey-400;
        padding: $padding;
        width: $width;
        height: $height;
        border-radius: calc($height / 2);
        transition: background .2s;

        .switcher {
            height: 100%;
            display: grid;
            grid-template-columns: 0fr 1fr 1fr;
            transition: .2s;

            &::after {
                content: '';
                border-radius: 50%;
                background-color: #FFFFFF;
                grid-column: 2;
                transition: background .2s;
            }
        }

        &.selected {
            background-color: $red-500;

            .switcher {
                grid-template-columns: 1fr 1fr 0fr;

                &::after {
                }
            }
        }
    }

    &:hover:not(.disabled):not(.error),
    &:active:not(.disabled):not(.error),
    &:focus:not(.disabled):not(.error),
    &.focus:not(.disabled):not(.error) {
        color: $color-input-focus;
    }

    &.disabled {
        color: $color-input-disabled;

        & * {
            cursor: not-allowed;
        }

        .placeholder {
            background-color: $grey-300;

            &.selected {
                background-color: $red-100;
            }
        }
    }

    input {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        cursor: inherit;
        margin: 0;
        opacity: 0;
        padding: 0;
        z-index: 1;
        position: absolute;
    }

    &.label-position {
        display: flex;
        flex-wrap: nowrap;

        &.top {
            flex-direction: column;
            align-items: center;
        }

        &.left {
            flex-direction: row;
            justify-content: flex-end;
            align-items: center;
            @include marginBottom(6);
        }

        &.right {
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            @include marginBottom(6);
        }
    }

    .label {
        color: $color-base;
        min-height: $line-height * 1em;
        @include padding(2, 3);

        .mark {
            color: $color-input-error;
            @include marginLeft(1);
            @include marginRight(1);
        }
    }

    &.error {
        color: $color-input-error;
    }

    &.disabled {
        cursor: not-allowed;
        color: $color-input-disabled;
    }

    &.readonly {
        cursor: default;
        color: $color-input-readonly;
    }


    .error {
        font-size: $font-size-base;
        color: $color-input-error;
        line-height: 1.2;
        min-height: 1.2em;

        @include marginTop(1);
    }
}
